<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="html" version="4.0" encoding="ISO-8859-1" indent="yes"/>
  <xsl:strip-space elements="*"/>
	
	
	
<xsl:template match="/">

		
	<html>
	<head>
<link rel="stylesheet" type="text/css" href="../css/style.css"/>
  </head>
	<body>	
		<script src="../javascripts/functions.js" type='text/javascript'/>
		
<!--JAVASCRIPT!-->		
	  <xsl:element name="script">
				<xsl:attribute name="language">
	  			<xsl:value-of select="'javascript'"/>
				</xsl:attribute>
				<xsl:attribute name="type">
	  			<xsl:value-of select="'text/javascript'"/>
				</xsl:attribute>
				<xsl:text>
				var title=new Array();
				var langues=new Array();
							title.push(
				</xsl:text>
				<xsl:for-each select="$title">
				<xsl:text>"</xsl:text>
						<xsl:value-of select=".">
			 			</xsl:value-of>
			 <xsl:text>"</xsl:text>
			 <xsl:if test="position() = last()">
			 		<xsl:text>);</xsl:text>
			 </xsl:if>
			 <xsl:if test="position() != last()">
			 		<xsl:text>,</xsl:text>
			 </xsl:if>
			 </xsl:for-each>
			 
			<xsl:text>langues.push(</xsl:text>
			 <xsl:for-each select="$langs">
			 <xsl:text>"</xsl:text>
			 <xsl:value-of select=".">
			 </xsl:value-of>
			 <xsl:text>"</xsl:text>
			 <xsl:if test="position() = last()">
			 		<xsl:text>);</xsl:text>
			 </xsl:if>
			 <xsl:if test="position() != last()">
			 		<xsl:text>,</xsl:text>
			 </xsl:if>
			 </xsl:for-each>
			<xsl:text>
			mytitle();
			</xsl:text>
		</xsl:element>
<!--FIN _JAVASCRIPT!-->
	<xsl:apply-templates select="/biblio/entry/*[normalize-space(key)=$key]/title"/>
	<xsl:apply-templates select="/biblio/entry/*[normalize-space(key)=$key]/author"/>
	<xsl:apply-templates select="/biblio/entry/*[normalize-space(key)=$key]/abstract"/>
				
	</body>
	</html>
</xsl:template>


<xsl:template match="abstract">

<xsl:element name="p">
<xsl:attribute name="class">
<xsl:value-of select="'abstract'"/>
</xsl:attribute>
<xsl:value-of select="."/>
</xsl:element>

</xsl:template>


<xsl:template match="title">
<xsl:element name="center">
<xsl:element name="h3">
<xsl:attribute name="class">
<xsl:value-of select="'abstract'"/>
</xsl:attribute>
<xsl:value-of select="."/>
</xsl:element>
</xsl:element>
</xsl:template>



<xsl:template match="author">	
<xsl:element name="center">
		<xsl:if test="position() != last()">
			<xsl:value-of select="./firstname"/>
			<xsl:text> </xsl:text>
			<xsl:value-of select="./lastname"/>
			<xsl:text> &#38; </xsl:text>
		</xsl:if>
		<xsl:if test="position() = last()">
			<xsl:value-of select="./firstname"/>
			<xsl:text> </xsl:text>
			<xsl:value-of select="./lastname"/>
			<xsl:text>.</xsl:text>
		</xsl:if>
</xsl:element>
</xsl:template>



</xsl:stylesheet>	
		
