<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:import href="authordate.xsl"/>

<xsl:template match="masterthesis" mode="authordate">
	
	<span class="AuthorDate">
		<xsl:apply-templates select="author"/>
	</span>

	<xsl:value-of select="year"/>

	<xsl:if test='concat(year,title)!=""'>
		<xsl:text>. </xsl:text>
	</xsl:if>
	
	<i><xsl:value-of select="title"/></i>
	
	<xsl:if test='concat(title,school)!=""'>
		<xsl:text>. </xsl:text>
	</xsl:if>	
	
	<xsl:value-of select="school"/>
	
</xsl:template>
</xsl:stylesheet>
