<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">



<xsl:template match="proceedings" mode="authordate">	

  <xsl:if test='editor!=""'>
		<span div="AuthorDate">
			<xsl:apply-templates select="editor"/><xsl:text> (eds). </xsl:text> 					
		</span>
	</xsl:if>	
	
	<xsl:value-of select="year"/> 
	
	<xsl:if test='month!=""'>
		<xsl:text> ( </xsl:text><xsl:value-of select="month"/><xsl:text> ) </xsl:text>
	</xsl:if><xsl:text>. </xsl:text>	
	
	<i><xsl:value-of select="title"/></i><xsl:text>. </xsl:text>
	
	<xsl:if test='organization!=""'>
		<xsl:value-of select="organization"/> 
			<xsl:if test='address=""'><xsl:text>. </xsl:text>
	</xsl:if>	

	</xsl:if>	
	<xsl:if test='address!=""'>
		<xsl:text>, </xsl:text><xsl:value-of select="address"/><xsl:text>.</xsl:text>
	</xsl:if>
   

</xsl:template>
</xsl:stylesheet>
