<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="article">
	<xsl:apply-templates select="author"/>
	<xsl:value-of select="normalize-space(title)"/>
	<xsl:text>. </xsl:text>
	<i>
		<xsl:value-of select="normalize-space(journal)"/>
	</i>
	<xsl:text>, </xsl:text>
	<xsl:value-of select="normalize-space(volume)"/>
	<xsl:if test='number != ""'>
		<xsl:text>(</xsl:text>
		<xsl:value-of select="number"/>
	<xsl:text>)</xsl:text>
	</xsl:if>
	<xsl:if test='pages != ""'>
		<xsl:text>: </xsl:text>
		<xsl:value-of select="normalize-space(pages)"/>
	</xsl:if>
	<xsl:text>, </xsl:text>
	<xsl:value-of select="month"/>
	<xsl:value-of select="normalize-space(year)"/>
	<xsl:text>.</xsl:text>
</xsl:template>
</xsl:stylesheet>
