<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:template match="inbook">
	<xsl:apply-templates select="author"/>
	<xsl:if test='./author != ""'>
		<xsl:text>, </xsl:text> 
	</xsl:if>
	<xsl:apply-templates select="editor"/>
	<i><xsl:value-of select="title"/></i>
	<xsl:text>, </xsl:text>
	<xsl:apply-templates select="volume"/>
	<xsl:apply-templates select="chapter"/>
	<xsl:apply-templates select="pages"/>
	<xsl:apply-templates select="series"/>
	<xsl:apply-templates select="publisher"/>
	<xsl:apply-templates select="year"/>
	<xsl:text>.</xsl:text>
</xsl:template>
<xsl:template match="series">
	<xsl:text>, </xsl:text>
	<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="volume">
	<xsl:text>, volume</xsl:text>
	<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="pages">
	<xsl:text>, pages </xsl:text>
	<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="publisher">
	<xsl:text>, </xsl:text>
	<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="chapter">
	<xsl:text>chapter : </xsl:text>
	<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="year">
	<xsl:text>,</xsl:text>
	<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="adress">
	<xsl:text>,</xsl:text>
	<xsl:value-of select="."/>
</xsl:template>
</xsl:stylesheet>
