<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" encoding="ISO-8859-1"/>
<xsl:template match="projects">
  <projects>
    <xsl:apply-templates match="*"/>
    <xsl:if test="./project[normalize-space(@name)=normalize-space($name)] = ''">
      <xsl:element name="project">
        <xsl:attribute name="name">
          <xsl:value-of select="$name"/>
        </xsl:attribute>
        <xsl:value-of select="$location"/>
    </xsl:element>
  </xsl:if>
  </projects>
</xsl:template>
<xsl:template match="project">
    <xsl:element name="project">
      <xsl:attribute name="name">
        <xsl:value-of select="@name"/>
      </xsl:attribute>
      <xsl:value-of select="."/>
    </xsl:element>
</xsl:template>
</xsl:stylesheet>
