<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:template match="incollection">
	<xsl:apply-templates select="author"/>
	<xsl:value-of select="title"/>
	<xsl:if test='./booktitle != "" or ./editor != ""'>
		<xsl:text>. In </xsl:text>
	</xsl:if>
	<xsl:apply-templates select="editor"/>
	<xsl:apply-templates select="booktitle"/>
	<xsl:apply-templates select="pages"/>
	<xsl:apply-templates select="publisher"/>
	<xsl:apply-templates select="adress"/>
	<xsl:apply-templates select="year"/>
	<xsl:text>.</xsl:text>
</xsl:template>
<xsl:template match="publisher">
	<xsl:text>,</xsl:text>
	<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="booktitle">
	<i>
		<xsl:if test='../editor != ""'>
			<xsl:text>,</xsl:text>
		</xsl:if>
		<xsl:value-of select="."/>
	</i>

</xsl:template>
<xsl:template match="year">
	<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="pages">
	<xsl:text>, pages </xsl:text>
	<xsl:value-of select="."/>
</xsl:template>
<xsl:template match="adress">
	<xsl:text>,</xsl:text>
	<xsl:value-of select="."/>
</xsl:template>
</xsl:stylesheet>
