<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:template match="mastersthesis">
	<xsl:apply-templates select="author"/>
	<xsl:value-of select="title"/>
	<xsl:text>. Master's thesis</xsl:text>
	<xsl:text>,</xsl:text>
	<xsl:value-of select="school"/>
	<xsl:apply-templates select="adress"/>
	<xsl:apply-templates select="month"/>
	<xsl:apply-templates select="year"/>
	<xsl:text>.</xsl:text>
</xsl:template>

<xsl:template match="month">
	<xsl:text>, </xsl:text>
	<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="year">
	<xsl:if test='../month=""'>
		<xsl:text>,</xsl:text>
	</xsl:if>
	<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="adress">
	<xsl:text>,</xsl:text>
	<xsl:value-of select="."/>
</xsl:template>
</xsl:stylesheet>
